Skip to content

Servers API ​

Browse and get information about MCP servers.

List Servers ​

GET /servers

Query Parameters ​

ParameterTypeDescription
categorystringFilter by category
officialbooleanOnly official servers
qstringSearch query
limitnumberMax results

Response ​

json
{
  "data": {
    "servers": [
      {
        "id": "postgres",
        "name": "PostgreSQL",
        "description": "Query PostgreSQL databases",
        "official": true,
        "category": "database"
      }
    ]
  }
}

Get Server ​

GET /servers/:id

Response ​

json
{
  "data": {
    "id": "postgres",
    "name": "PostgreSQL",
    "description": "Query PostgreSQL databases",
    "official": true,
    "tools": [...],
    "resources": [...],
    "documentation": "https://..."
  }
}

Get Server Config ​

GET /servers/:id/config

Query Parameters ​

ParameterTypeDescription
formatstringclaude-desktop, vscode, generic

Response ​

json
{
  "data": {
    "format": "claude-desktop",
    "config": {
      "mcpServers": {
        "postgres": {
          "command": "npx",
          "args": ["-y", "@modelcontextprotocol/server-postgres"]
        }
      }
    }
  }
}

Released under the MIT License.